# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2019-10-10 13:53
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('storage', '0004_auto_20191010_1353'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('data', '0013_auto_20191010_1353'),
    ]

    operations = [
        migrations.CreateModel(
            name='Presentation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('name', models.SlugField(unique=True)),
                ('hidden', models.BooleanField(default=False)),
                ('source', models.CharField(max_length=1024, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('password', models.CharField(blank=True, max_length=32, null=True)),
                ('hide_default_data', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('fieldset', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='data.FieldSet')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('publish_presentations', 'Can publish presentations'),),
            },
        ),
        migrations.CreateModel(
            name='PresentationItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('hidden', models.BooleanField(default=False)),
                ('type', models.CharField(blank=True, max_length=16)),
                ('order', models.SmallIntegerField()),
                ('presentation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to='presentation.Presentation')),
                ('record', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='data.Record')),
            ],
            options={
                'ordering': ['order'],
            },
        ),
        migrations.CreateModel(
            name='PresentationItemInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('info', models.TextField(blank=True)),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='media', to='presentation.PresentationItem')),
                ('media', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='storage.Media')),
            ],
        ),
    ]
